Set internal mass - missing ventilation schedule?

Hi all

trying to assign internal mass to a room I’m asked to provide a ventilation schedule.


but there is already one!

Any idea how this is connected?

Edit: Strangely this doesn’t happened in all rooms, for one it worked without complaint

Hi @martin6

Ventilation control schedule is located in the “Control” tab:

Hi @mingbo

Thanks for the clarification, but anyway in the Ventilation tab schedule is set too.
grafik
I am sure it is connected to this one
Looks like it doesn’t matter which schedule is missing (they are all set)

Hi @martin6

If the same error occurs when you have the WindowVentilationControls’ schedule set correctly, could you please provide some replicable steps for me to recreate this issue?

Well that is strange
took the H028 model out of the models folder. Without windows assigned. Only Rooms with solved adjacencies and assigned constr. prog. HVAC =>Validate everything is fine
Assigned an internal mass for one room and it worked, but after that the model is immediately invalid

Validating Model JSON ...
Traceback (most recent call last):
  File "C:\Users\zz\ladybug_tools\python\lib\site-packages\honeybee\properties.py", line 344, in apply_properties_from_dict
    var.apply_properties_from_dict(data)
  File "C:\Users\zz\ladybug_tools\python\lib\site-packages\honeybee_energy\properties\model.py", line 603, in apply_properties_from_dict
    schedules, constructions)
  File "C:\Users\zz\ladybug_tools\python\lib\site-packages\honeybee_energy\properties\room.py", line 1206, in apply_properties_from_dict
    self.internal_masses.append(
AttributeError: 'tuple' object has no attribute 'append'
--- Logging error ---
Traceback (most recent call last):
  File "C:\Users\zz\ladybug_tools\python\lib\site-packages\honeybee\properties.py", line 344, in apply_properties_from_dict
    var.apply_properties_from_dict(data)
  File "C:\Users\zz\ladybug_tools\python\lib\site-packages\honeybee_energy\properties\model.py", line 603, in apply_properties_from_dict
    schedules, constructions)
  File "C:\Users\zz\ladybug_tools\python\lib\site-packages\honeybee_energy\properties\room.py", line 1206, in apply_properties_from_dict
    self.internal_masses.append(
AttributeError: 'tuple' object has no attribute 'append'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\zz\ladybug_tools\python\lib\site-packages\honeybee\cli\validate.py", line 35, in validate_model
    parsed_model = Model.from_hbjson(model_json)
  File "C:\Users\zz\ladybug_tools\python\lib\site-packages\honeybee\model.py", line 210, in from_hbjson
    return cls.from_dict(data)
  File "C:\Users\zz\ladybug_tools\python\lib\site-packages\honeybee\model.py", line 180, in from_dict
    model.properties.apply_properties_from_dict(data)
  File "C:\Users\zz\ladybug_tools\python\lib\site-packages\honeybee\properties.py", line 349, in apply_properties_from_dict
    'Failed to apply {} properties to the Model: {}'.format(atr, e))
Exception: Failed to apply energy properties to the Model: 'tuple' object has no attribute 'append'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\zz\ladybug_tools\python\lib\logging\handlers.py", line 70, in emit
    self.doRollover()
  File "C:\Users\zz\ladybug_tools\python\lib\logging\handlers.py", line 394, in doRollover
    self.rotate(self.baseFilename, dfn)
  File "C:\Users\zz\ladybug_tools\python\lib\logging\handlers.py", line 111, in rotate
    os.rename(source, dest)
PermissionError: [WinError 32] Der Prozess kann nicht auf die Datei zugreifen, da sie von einem anderen Prozess verwendet wird: 'C:\\Users\\zz\\.honeybee\\honeybee.log' -> 'C:\\Users\\zz\\.honeybee\\honeybee.log.2020-10-09'
Call stack:
  File "C:\Users\zz\ladybug_tools\python\lib\runpy.py", line 193, in _run_module_as_main
    "__main__", mod_spec)
  File "C:\Users\zz\ladybug_tools\python\lib\runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "C:\Users\zz\ladybug_tools\python\lib\site-packages\honeybee\__main__.py", line 4, in <module>
    main()
  File "C:\Users\zz\ladybug_tools\python\lib\site-packages\click\core.py", line 829, in __call__
    return self.main(*args, **kwargs)
  File "C:\Users\zz\ladybug_tools\python\lib\site-packages\click\core.py", line 782, in main
    rv = self.invoke(ctx)
  File "C:\Users\zz\ladybug_tools\python\lib\site-packages\click\core.py", line 1259, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "C:\Users\zz\ladybug_tools\python\lib\site-packages\click\core.py", line 1259, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "C:\Users\zz\ladybug_tools\python\lib\site-packages\click\core.py", line 1066, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "C:\Users\zz\ladybug_tools\python\lib\site-packages\click\core.py", line 610, in invoke
    return callback(*args, **kwargs)
  File "C:\Users\zz\ladybug_tools\python\lib\site-packages\honeybee\cli\validate.py", line 47, in validate_model
    _logger.exception('Model validation failed.\n{}'.format(e))
Message: "Model validation failed.\nFailed to apply energy properties to the Model: 'tuple' object has no attribute 'append'"
Arguments: ()
honeybee.cli.validate - ERROR - Model validation failed.
Failed to apply energy properties to the Model: 'tuple' object has no attribute 'append'
Traceback (most recent call last):
  File "C:\Users\zz\ladybug_tools\python\lib\site-packages\honeybee\properties.py", line 344, in apply_properties_from_dict
    var.apply_properties_from_dict(data)
  File "C:\Users\zz\ladybug_tools\python\lib\site-packages\honeybee_energy\properties\model.py", line 603, in apply_properties_from_dict
    schedules, constructions)
  File "C:\Users\zz\ladybug_tools\python\lib\site-packages\honeybee_energy\properties\room.py", line 1206, in apply_properties_from_dict
    self.internal_masses.append(
AttributeError: 'tuple' object has no attribute 'append'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\zz\ladybug_tools\python\lib\site-packages\honeybee\cli\validate.py", line 35, in validate_model
    parsed_model = Model.from_hbjson(model_json)
  File "C:\Users\zz\ladybug_tools\python\lib\site-packages\honeybee\model.py", line 210, in from_hbjson
    return cls.from_dict(data)
  File "C:\Users\zz\ladybug_tools\python\lib\site-packages\honeybee\model.py", line 180, in from_dict
    model.properties.apply_properties_from_dict(data)
  File "C:\Users\zz\ladybug_tools\python\lib\site-packages\honeybee\properties.py", line 349, in apply_properties_from_dict
    'Failed to apply {} properties to the Model: {}'.format(atr, e))
Exception: Failed to apply energy properties to the Model: 'tuple' object has no attribute 'append'

Hi @martin6, would you please record a video when “Missing required VentilationControl schedule” dialog occurs?

Hi @mingbo here is the video.

it is like I said. I can’t reproduce it myself. I could for two days but since…?
The message appeared after setting the construction for the internal wall area finally hitting the OK button

I’m also not sure anymore if it happened with 0.128.0.0?
Relatively sure the latest available version at the time of the post
Now I’m using 0.128.1.0

1 Like

Thank you @martin6 for the video. From the error message, it looks like that it might be an issue in the core library and how it validates the model.

@mingbo, let me know if you want me to have a closer look.

Thanks @martin6 @mostapha,

I can confirm that there is an issue with the validation command after a room is assigned with internal masses.

Validating Model JSON ...
Traceback (most recent call last):
  File "C:\Users\mingo\ladybug_tools\python\lib\site-packages\honeybee\properties.py", line 344, in apply_properties_from_dict
    var.apply_properties_from_dict(data)
  File "C:\Users\mingo\ladybug_tools\python\lib\site-packages\honeybee_energy\properties\model.py", line 603, in apply_properties_from_dict
    schedules, constructions)
  File "C:\Users\mingo\ladybug_tools\python\lib\site-packages\honeybee_energy\properties\room.py", line 1206, in apply_properties_from_dict
    self.internal_masses.append(
AttributeError: 'tuple' object has no attribute 'append'
honeybee.cli.validate - ERROR - Model validation failed.
Failed to apply energy properties to the Model: 'tuple' object has no attribute 'append'
Traceback (most recent call last):
  File "C:\Users\mingo\ladybug_tools\python\lib\site-packages\honeybee\properties.py", line 344, in apply_properties_from_dict
    var.apply_properties_from_dict(data)
  File "C:\Users\mingo\ladybug_tools\python\lib\site-packages\honeybee_energy\properties\model.py", line 603, in apply_properties_from_dict
    schedules, constructions)
  File "C:\Users\mingo\ladybug_tools\python\lib\site-packages\honeybee_energy\properties\room.py", line 1206, in apply_properties_from_dict
    self.internal_masses.append(
AttributeError: 'tuple' object has no attribute 'append'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\mingo\ladybug_tools\python\lib\site-packages\honeybee\cli\validate.py", line 35, in validate_model
    parsed_model = Model.from_hbjson(model_json)
  File "C:\Users\mingo\ladybug_tools\python\lib\site-packages\honeybee\model.py", line 210, in from_hbjson
    return cls.from_dict(data)
  File "C:\Users\mingo\ladybug_tools\python\lib\site-packages\honeybee\model.py", line 180, in from_dict
    model.properties.apply_properties_from_dict(data)
  File "C:\Users\mingo\ladybug_tools\python\lib\site-packages\honeybee\properties.py", line 349, in apply_properties_from_dict
    'Failed to apply {} properties to the Model: {}'.format(atr, e))
Exception: Failed to apply energy properties to the Model: 'tuple' object has no attribute 'append'

Hi @chriswmackey, here is a sample model that I created. It would be great if you could take a look at it.
InternalMass.hbjson (44.6 KB)

Thank you for finding this bug and for bringing it to my attention. I should have written some better tests for this case. I just pushed a fix to the core libraries for it:

The fix should be available in an hour or so by running the LB Versioner and it should be in the next release of the Rhino plugin installer.

1 Like